complexType "DualCurrencyFeature"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 6 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | currency, fixingDate, fixingTime?, strike, spotRate?, interestAtRisk
</...>

Content Model Elements (6):

  currency (in dualCurrency), fixingDate (in dualCurrency), fixingTime (in dualCurrency), | interestAtRisk, spotRate (in dualCurrency), strike (in dualCurrency)

All Direct / Indirect Based Elements (1):

  dualCurrency

Known Usage Locations

- As direct type of elements (1):
  dualCurrency

Annotation
Describes the parameters for a dual currency deposit.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="DualCurrencyFeature"> <xsd:sequence> <xsd:element name="currency" type="Currency"/> <xsd:element name="fixingDate" type="xsd:date"/> <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"/> <xsd:element name="strike" type="DualCurrencyStrikePrice"/> <xsd:element minOccurs="0" name="spotRate" type="xsd:decimal"/> <xsd:element name="interestAtRisk" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
currency

  Type: | Currency, simple content

  The currency in which the principal and interest will be repaid.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="currency" type="Currency"/>

fixingDate

  Type: | xsd:date, predefined, simple content

  The date on which the decion on delivery currency will be made.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixingDate" type="xsd:date"/>

fixingTime

  Type: | BusinessCenterTime, complex content

  Time at which the option expires on the expiry date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixingTime" type="BusinessCenterTime"/>

interestAtRisk

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the interest component of the redemption amount is subject to conversion to the Alternate currency, in the event that the spot rate is strictly lower than the strike level at the specified fixing date and time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="interestAtRisk" type="xsd:boolean"/>

spotRate

  Type: | xsd:decimal, predefined, simple content

  The spot rate at the time the trade was agreed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="xsd:decimal"/>

strike

  Type: | DualCurrencyStrikePrice, complex content

  The strike rate at which the deposit will be converted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="strike" type="DualCurrencyStrikePrice"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.